[POST]
{{baseUrl}}/api/v1/wallet/ngn/debit
Header
| Header | Type | Description |
|---|---|---|
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |
Body parameter
| Parameter | Type | Description | |
|---|---|---|---|
| amount * | string | Amount to debit | required |
| wallet_id * | string | unique wallet id | required |
Sample response
Response
{
"entity": {
"wallet_id": "1b9464d3-68a7-4e73-9a73-174b908f55b7",
"transaction_amount": 1,
"transaction_type": "transfer",
"recipient_account_number": "",
"sender_account_number": "1008657470",
"transaction_remarks": "Pila-wallet-debit",
"transaction_reason": null,
"transaction_id": "Pila-425bb013-cdbd-4206-8cad-a60c20439735",
"transaction_status": "COMPLETED",
"date_created": "2021-10-13T08:23:01.892648+01:00"
}
}